#ifndef XFXIMPACTTABLE_H
#define XFXIMPACTTABLE_H

#include "xasset.h"
#include "xfximpactentry.h"

class XFxImpactTable : public XAsset
{
public:
    explicit XFxImpactTable();
    ~XFxImpactTable();

    void Clear() override;
    void ParseData(XDataStream *aStream) override;

private:
    qint32 mNamePtr;
    QString mName;
    qint32 mTablePtr;
    QVector<XFxImpactEntry> mTable;
};

#endif // XFXIMPACTTABLE_H
